randconfig fixes

Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>
This commit is contained in:
Denys Vlasenko 2015-10-11 16:27:55 +02:00
parent 005c492c40
commit 69c8c699aa
4 changed files with 26 additions and 10 deletions

View File

@ -65,14 +65,16 @@ if test x"$LIBC" = x"uclibc"; then
| grep -v CONFIG_BUILD_LIBBUSYBOX \ | grep -v CONFIG_BUILD_LIBBUSYBOX \
| grep -v CONFIG_PIE \ | grep -v CONFIG_PIE \
\ \
| grep -v CONFIG_FEATURE_TOUCH_NODEREF \
| grep -v CONFIG_FEATURE_2_4_MODULES \ | grep -v CONFIG_FEATURE_2_4_MODULES \
| grep -v CONFIG_FEATURE_SYNC_FANCY \
| grep -v CONFIG_FEATURE_TOUCH_NODEREF \
>.config.new >.config.new
mv .config.new .config mv .config.new .config
echo 'CONFIG_STATIC=y' >>.config echo 'CONFIG_STATIC=y' >>.config
echo '# CONFIG_BUILD_LIBBUSYBOX is not set' >>.config echo '# CONFIG_BUILD_LIBBUSYBOX is not set' >>.config
echo '# CONFIG_PIE is not set' >>.config echo '# CONFIG_PIE is not set' >>.config
echo '# CONFIG_FEATURE_2_4_MODULES is not set' >>.config echo '# CONFIG_FEATURE_2_4_MODULES is not set' >>.config
echo '# CONFIG_FEATURE_SYNC_FANCY is not set' >>.config
echo '# CONFIG_FEATURE_TOUCH_NODEREF is not set' >>.config echo '# CONFIG_FEATURE_TOUCH_NODEREF is not set' >>.config
fi fi

View File

@ -28,7 +28,10 @@ hello_bz2() {
$ECHO -ne "\x17\x72\x45\x38\x50\x90\x5b\xb8\xe8\xa3" $ECHO -ne "\x17\x72\x45\x38\x50\x90\x5b\xb8\xe8\xa3"
} }
for ext in gz bz2 Z for ext in \
`test x"$CONFIG_GUNZIP=y = x"y" && echo gz` \
`test x"$CONFIG_BUNZIP2=y = x"y" && echo bz2` \
`test x"$CONFIG_UNCOMPRESS" = x"y" && echo Z`
do do
prep() { prep() {
rm -f t1.$ext t2.$ext t_actual rm -f t1.$ext t2.$ext t_actual
@ -49,11 +52,12 @@ do
mkdir testdir 2>/dev/null mkdir testdir 2>/dev/null
( (
cd testdir || { echo "cannot cd testdir!"; exit 1; } cd testdir || { echo "cannot cd testdir!"; exit 1; }
expected="HELLO\nok\n" expected="HELLO\nok\n"
prep; check "zcat: dont delete $ext src" "${bb}zcat t2.$ext; test -f t2.$ext && echo ok" prep
check "zcat: dont delete $ext src" "${bb}zcat t2.$ext; test -f t2.$ext && echo ok"
exit $FAILCOUNT
) )
FAILCOUNT=$?
rm -rf testdir rm -rf testdir
done done
@ -89,6 +93,7 @@ testing "bzcat can handle compressed zero-length bzip2 files" \
## compress algorithm ## compress algorithm
# "input" file is compressed (.Z) file with "a\n" data # "input" file is compressed (.Z) file with "a\n" data
test x"$CONFIG_UNCOMPRESS" = x"y" && \
testing "zcat can print many files" \ testing "zcat can print many files" \
"$ECHO -ne '$hexdump' | zcat input input; echo \$?" \ "$ECHO -ne '$hexdump' | zcat input input; echo \$?" \
"\ "\
@ -100,7 +105,8 @@ a
" "" " ""
# "input" file is compressed (.Z) zero byte file # "input" file is compressed (.Z) zero byte file
testing "zcat can handle compressed zero-length compressed (.Z) files" \ test x"$CONFIG_UNCOMPRESS" = x"y" && \
testing "zcat can handle compressed zero-length (.Z) files" \
"$ECHO -ne '$hexdump' | zcat input input; echo \$?" \ "$ECHO -ne '$hexdump' | zcat input input; echo \$?" \
"0\n" \ "0\n" \
"\x1f\x9d\x90\x00" "" "\x1f\x9d\x90\x00" ""

View File

@ -1 +1,4 @@
test $(pwd) = $(busybox pwd) # shell's $PWD may leave symlinks unresolved.
# "pwd" may be a built-in and have the same problem.
# External pwd _can't_ have that problem (current dir on Unix is physical).
test $(`which pwd`) = $(busybox pwd)

View File

@ -21,10 +21,15 @@ testing "readlink on a link" "readlink ./$TESTLINK" "./$TESTFILE\n" "" ""
optional FEATURE_READLINK_FOLLOW optional FEATURE_READLINK_FOLLOW
testing "readlink -f on a file" "readlink -f ./$TESTFILE" "$PWD/$TESTFILE\n" "" "" # shell's $PWD may leave symlinks unresolved.
testing "readlink -f on a link" "readlink -f ./$TESTLINK" "$PWD/$TESTFILE\n" "" "" # "pwd" may be a built-in and have the same problem.
# External pwd _can't_ have that problem (current dir on Unix is physical).
pwd=`which pwd`
pwd=`$pwd`
testing "readlink -f on a file" "readlink -f ./$TESTFILE" "$pwd/$TESTFILE\n" "" ""
testing "readlink -f on a link" "readlink -f ./$TESTLINK" "$pwd/$TESTFILE\n" "" ""
testing "readlink -f on an invalid link" "readlink -f ./$FAILLINK" "" "" "" testing "readlink -f on an invalid link" "readlink -f ./$FAILLINK" "" "" ""
testing "readlink -f on a wierd dir" "readlink -f $TESTDIR/../$TESTFILE" "$PWD/$TESTFILE\n" "" "" testing "readlink -f on a wierd dir" "readlink -f $TESTDIR/../$TESTFILE" "$pwd/$TESTFILE\n" "" ""
# clean up # clean up